%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Sample MATLAB script for reading NetCDF files in Gonzalez et al. 2020 dataset
% Paula Gonzalez - UoR - Oct 2020
%

% set work directory and test file

idir = '/YOUR_DATASET_LOCATION/country_daily_demand/';
ifile = 'ecmwf_s2s_coun_demand_fcst_w_VI_and_rea_DAILY_stmon_01.nc';

test_fcst=ncread([idir ifile],'demand_fcst'); 
test_rea=ncread([idir ifile],'demand_rea');
test_dates=ncread([idir ifile],'date');
test_coun_codes=ncread([idir ifile],'country_codes');

% reconstruct country codes

for kc=1:length(test_coun_codes)
    country_codes{kc}=strcat(test_coun_codes(1,kc),test_coun_codes(2,kc));
end

% check dimensions of the arrays

size(test_fcst)          % ens members x start days x start years x lead days x countries
size(test_rea)           % start days x start years x lead days x countries
size(test_dates)         % start days x start years x lead days 
size(country_codes)      % 28 countries

% to build the dates array, we need to add the origin

numeric_dates_array = test_dates + datenum('1970-01-01 00:00:0');

% but these dates are still expressed as a serial number, so to get one in date format

test_string_date = datestr(numeric_dates_array(1,1,1))
test_string_date = datestr(numeric_dates_array(end,end,end))

